// Efx.cpp: implementation of the CEfx class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "Efx.h"

CEfx::CEfx( LPDIRECT3DDEVICE8 pDevice )
{
	if( pDevice == NULL )
		throw CSystemException( DEMO_EXCEPTION_NULLPOINTER );

	m_pDevice = pDevice;
	//m_pDevice->AddRef();
}

CEfx::~CEfx()
{
	//m_pDevice->Release();
}


